import { log } from '../../../utils';
import type { DateRange, SerialisedDateRange } from '../../utils';
import { generateDailyIntervalsFromDateRange } from '../../utils';

// async for step function invocation
// eslint-disable-next-line @typescript-eslint/require-await
export const getDateIntervals = async ({ fromDate, toDate }: SerialisedDateRange): Promise<DateRange[]> => {
    log.debug('getDateIntervals', { fromDate, toDate });
    return generateDailyIntervalsFromDateRange({ fromDate, toDate });
};
