import * as utilsIsOrgEnabled from '../../../utils/isOrgEnabled';
import type { OrgDetails } from '../../types';

// async for step function invocation
// eslint-disable-next-line @typescript-eslint/require-await
export const isOrgEnabled = async ({ orgDetails }: { orgDetails: OrgDetails }): Promise<boolean> => {
    return utilsIsOrgEnabled.isOrgEnabled(orgDetails.id);
};
