import type { InferSchemaType } from 'mongoose';
import mongoose, { Schema } from 'mongoose';

const schema = new Schema(
    {
        organisationId: { type: Number, required: true },
        date: { type: Date },
        type: { type: String },
        event: {},
    },
    {
        collection: 'event_debug_log',
    },
);

export type EventDebugLog = InferSchemaType<typeof schema>;
export const EventDebugLogModel = mongoose.model('EventDebugLogModel', schema);
