import type { MongoDeleteManyQuery, MongoDeleteWithFilter } from '../metrics';

export const convertDeletesToBulkWrite = <T>(
    deletes: MongoDeleteWithFilter<T>[],
): MongoDeleteManyQuery<MongoDeleteWithFilter<T>>[] => {
    return deletes.map((upsert) => {
        return {
            deleteMany: {
                filter: upsert.filter,
            },
        };
    });
};
