import type { UserCacheType } from '../userCache/UserCacheModel';
import { UserCacheModel } from '../userCache/UserCacheModel';

export const getTeamForUser = async ({
    organisationId,
    userId,
}: {
    organisationId: number;
    userId: number;
}): Promise<UserCacheType['team']> => {
    const [user]: [result: UserCacheType] = await UserCacheModel.find({ id: userId, organisationId }).lean();
    return user.team;
};
