import type { MongoMemoryServer } from 'mongodb-memory-server';

export = async function globalTeardown() {
    if (process.env['SKIP_INTEGRATION_TESTS']) return;
    // @ts-expect-error global has no type
    // eslint-disable-next-line @typescript-eslint/no-unsafe-assignment
    const instance: MongoMemoryServer = (global as unknown).__MONGOINSTANCE__;

    await instance.stop();
};
