import * as mongodb from '../lib/utils/mongodb';
import { config } from '../lib/config';

global.console = {
    ...console,
    log: jest.fn(),
    debug: jest.fn(),
    info: jest.fn(),
    // warn: jest.fn(),
    // error: jest.fn(),
};

beforeAll(async () => {
    await mongodb.init(config.memoryServer);

    config.featureFlags.orgAllowListTPM = '*';
});

afterAll(async () => {
    await mongodb.closeConnection();
});
