export interface AthenaWorkstreamMetricsEventTypeResponse {
    organisationid: number;
    workstreamidentifier: string;
    totalhandletime: number;
    totalreassigns: number;
    totaltouches: number;
    totaltouchtimesecs: number;
    totalinteractions: number;
    totalpubliccomments: number;
    totalprivatecomments: number;
    firstreplyendtime: Date;
    firstreplyhandletimesecs: number;
    firstresolutionhandletimesecs: number;
    firstreplyagentalias: string;
    firstreplytime: string;
    firstreplyuserid: number;
    firstreplyteamid: number;
    firstresolvedagentalias: string;
    firstresolveduserid: number;
    firstresolvedteamid: number;
    lastresolvedagentalias: string;
    lastresolutiontime: string;
    lastresolveduserid: number;
    lastresolvedteamid: number;
    updatedat: Date;
    starttime: Date;
    workstreamdefinitionid: number;
    isabandoned: boolean;
    totalresolutionhandletimesecs: number;
    totalnumberofsolvedinteractions: number;
    lastresolutionhandletimesecs: number;
    totalfirstanswerinteractions: number;
    totalfirstinteraction: number;
    firstresolutiontime: string;
    waittimesecs: number;
    abandonedat: Date;
    qualityscores: string;
    totalqualityresponses: number;
    totalqualityscores: number;
    totalweightedqualityscores: number;
    inbound: number;
    outbound: number;
    total: number;
    direction: 'inbound' | 'outbound';
    csatscore: number;
    totalreopens: number;
    totalreplies: number;
    assignments: number;
    abandoned: number;
    shortabandoned: number;
    completed: number;
    completedwaittime: number;
    csatoffered: number;
    csatresponse: number;
    positivecsatresponse: number;
    inboundcompleted: number;
    meetingservicelevel: number;
    outboundcompleted: number;
    firstresolutiontimesecs: number;
    resolved: number;
    reopens: number;
    csatpositiveresponsethreshold: number;
    waittimetarget: number;
    servicelevelinbound: number;
    shortabandonthreshold: number;
    totalresolutiontimesecs: number;
    interactionsbreakdown: string;
    handletimebreakdownbyusers: string;
    milestones: string;
    organisation_id: number;
}
