import { PlayvoxWfmError } from '@agyletime/wfm-aws-utils/lib/errors';

export class QueueUrlNotDefinedError extends PlayvoxWfmError {
    constructor() {
        super('Queue URL not defined in environment.');
    }
}

export class GenericActualMetricsError extends PlayvoxWfmError {
    constructor(message: string, cause?: unknown) {
        super(message, { cause: cause });
    }
}

export class InteractionEventParameterValidationError extends PlayvoxWfmError {
    constructor(message: string, cause?: unknown) {
        super(message, { cause: cause });
    }
}

export class WorkstreamMetricEventParameterValidationError extends PlayvoxWfmError {
    constructor(message: string, cause?: unknown) {
        super(message, { cause: cause });
    }
}

export class BadRequestError extends PlayvoxWfmError {}

export class NotAllowedError extends PlayvoxWfmError {}
