export default ({
    year,
    month,
    day,
    hour,
    minute,
}: {
    year: number;
    month: number;
    day: number;
    hour?: number;
    minute?: number;
}): Date => {
    return new Date(Date.UTC(year, month - 1, day, hour ? hour : 0, minute ? minute : 0));
};
